<?php



$tdatatb_users = array();
$tdatatb_users[".searchableFields"] = array();
$tdatatb_users[".ShortName"] = "tb_users";
$tdatatb_users[".OwnerID"] = "";
$tdatatb_users[".OriginalTable"] = "tb_users";


$tdatatb_users[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_users[".originalPagesByType"] = $tdatatb_users[".pagesByType"];
$tdatatb_users[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_users[".originalPages"] = $tdatatb_users[".pages"];
$tdatatb_users[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_users[".originalDefaultPages"] = $tdatatb_users[".defaultPages"];

//	field labels
$fieldLabelstb_users = array();
$fieldToolTipstb_users = array();
$pageTitlestb_users = array();
$placeHolderstb_users = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelstb_users["English"] = array();
	$fieldToolTipstb_users["English"] = array();
	$placeHolderstb_users["English"] = array();
	$pageTitlestb_users["English"] = array();
	$fieldLabelstb_users["English"]["usdeID"] = "ID";
	$fieldToolTipstb_users["English"]["usdeID"] = "";
	$placeHolderstb_users["English"]["usdeID"] = "";
	$fieldLabelstb_users["English"]["usuario"] = "Usuario";
	$fieldToolTipstb_users["English"]["usuario"] = "";
	$placeHolderstb_users["English"]["usuario"] = "";
	$fieldLabelstb_users["English"]["senha"] = "Senha";
	$fieldToolTipstb_users["English"]["senha"] = "";
	$placeHolderstb_users["English"]["senha"] = "";
	$fieldLabelstb_users["English"]["nome"] = "Nome";
	$fieldToolTipstb_users["English"]["nome"] = "";
	$placeHolderstb_users["English"]["nome"] = "";
	$fieldLabelstb_users["English"]["ativar"] = "Ativar";
	$fieldToolTipstb_users["English"]["ativar"] = "";
	$placeHolderstb_users["English"]["ativar"] = "";
	$pageTitlestb_users["English"]["add"] = "Usuário, Add new";
	if (count($fieldToolTipstb_users["English"]))
		$tdatatb_users[".isUseToolTips"] = true;
}


	$tdatatb_users[".NCSearch"] = true;



$tdatatb_users[".shortTableName"] = "tb_users";
$tdatatb_users[".nSecOptions"] = 0;

$tdatatb_users[".mainTableOwnerID"] = "";
$tdatatb_users[".entityType"] = 0;

$tdatatb_users[".strOriginalTableName"] = "tb_users";

	



$tdatatb_users[".showAddInPopup"] = false;

$tdatatb_users[".showEditInPopup"] = false;

$tdatatb_users[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_users[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_users[".listAjax"] = false;
//	temporary
$tdatatb_users[".listAjax"] = false;

	$tdatatb_users[".audit"] = false;

	$tdatatb_users[".locking"] = false;


$pages = $tdatatb_users[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_users[".edit"] = true;
	$tdatatb_users[".afterEditAction"] = 0;
	$tdatatb_users[".closePopupAfterEdit"] = 1;
	$tdatatb_users[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_users[".add"] = true;
$tdatatb_users[".afterAddAction"] = 0;
$tdatatb_users[".closePopupAfterAdd"] = 1;
$tdatatb_users[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_users[".list"] = true;
}



$tdatatb_users[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_users[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_users[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_users[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_users[".printFriendly"] = true;
}



$tdatatb_users[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_users[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_users[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_users[".isUseAjaxSuggest"] = true;

$tdatatb_users[".rowHighlite"] = true;





$tdatatb_users[".ajaxCodeSnippetAdded"] = false;

$tdatatb_users[".buttonsAdded"] = false;

$tdatatb_users[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_users[".isUseTimeForSearch"] = false;


$tdatatb_users[".badgeColor"] = "E07878";


$tdatatb_users[".allSearchFields"] = array();
$tdatatb_users[".filterFields"] = array();
$tdatatb_users[".requiredSearchFields"] = array();

$tdatatb_users[".googleLikeFields"] = array();
$tdatatb_users[".googleLikeFields"][] = "usdeID";
$tdatatb_users[".googleLikeFields"][] = "usuario";
$tdatatb_users[".googleLikeFields"][] = "senha";
$tdatatb_users[".googleLikeFields"][] = "nome";
$tdatatb_users[".googleLikeFields"][] = "ativar";



$tdatatb_users[".tableType"] = "list";

$tdatatb_users[".printerPageOrientation"] = 0;
$tdatatb_users[".nPrinterPageScale"] = 100;

$tdatatb_users[".nPrinterSplitRecords"] = 40;

$tdatatb_users[".geocodingEnabled"] = false;










$tdatatb_users[".pageSize"] = 20;

$tdatatb_users[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_users[".strOrderBy"] = $tstrOrderBy;

$tdatatb_users[".orderindexes"] = array();

$tdatatb_users[".sqlHead"] = "SELECT usdeID,  	usuario,  	senha,  	nome,  	ativar";
$tdatatb_users[".sqlFrom"] = "FROM tb_users";
$tdatatb_users[".sqlWhereExpr"] = "";
$tdatatb_users[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_users[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_users[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_users[".highlightSearchResults"] = true;

$tableKeystb_users = array();
$tableKeystb_users[] = "usdeID";
$tdatatb_users[".Keys"] = $tableKeystb_users;


$tdatatb_users[".hideMobileList"] = array();




//	usdeID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "usdeID";
	$fdata["GoodName"] = "usdeID";
	$fdata["ownerTable"] = "tb_users";
	$fdata["Label"] = GetFieldLabel("tb_users","usdeID");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "usdeID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "usdeID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_users["usdeID"] = $fdata;
		$tdatatb_users[".searchableFields"][] = "usdeID";
//	usuario
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "usuario";
	$fdata["GoodName"] = "usuario";
	$fdata["ownerTable"] = "tb_users";
	$fdata["Label"] = GetFieldLabel("tb_users","usuario");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "usuario";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "usuario";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_users["usuario"] = $fdata;
		$tdatatb_users[".searchableFields"][] = "usuario";
//	senha
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "senha";
	$fdata["GoodName"] = "senha";
	$fdata["ownerTable"] = "tb_users";
	$fdata["Label"] = GetFieldLabel("tb_users","senha");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "senha";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "senha";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_users["senha"] = $fdata;
		$tdatatb_users[".searchableFields"][] = "senha";
//	nome
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "nome";
	$fdata["GoodName"] = "nome";
	$fdata["ownerTable"] = "tb_users";
	$fdata["Label"] = GetFieldLabel("tb_users","nome");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "nome";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "nome";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_users["nome"] = $fdata;
		$tdatatb_users[".searchableFields"][] = "nome";
//	ativar
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "ativar";
	$fdata["GoodName"] = "ativar";
	$fdata["ownerTable"] = "tb_users";
	$fdata["Label"] = GetFieldLabel("tb_users","ativar");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "ativar";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ativar";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_users["ativar"] = $fdata;
		$tdatatb_users[".searchableFields"][] = "ativar";


$tables_data["tb_users"]=&$tdatatb_users;
$field_labels["tb_users"] = &$fieldLabelstb_users;
$fieldToolTips["tb_users"] = &$fieldToolTipstb_users;
$placeHolders["tb_users"] = &$placeHolderstb_users;
$page_titles["tb_users"] = &$pageTitlestb_users;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_users"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["tb_users"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_users()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "usdeID,  	usuario,  	senha,  	nome,  	ativar";
$proto0["m_strFrom"] = "FROM tb_users";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "usdeID",
	"m_strTable" => "tb_users",
	"m_srcTableName" => "tb_users"
));

$proto6["m_sql"] = "usdeID";
$proto6["m_srcTableName"] = "tb_users";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "usuario",
	"m_strTable" => "tb_users",
	"m_srcTableName" => "tb_users"
));

$proto8["m_sql"] = "usuario";
$proto8["m_srcTableName"] = "tb_users";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "senha",
	"m_strTable" => "tb_users",
	"m_srcTableName" => "tb_users"
));

$proto10["m_sql"] = "senha";
$proto10["m_srcTableName"] = "tb_users";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "nome",
	"m_strTable" => "tb_users",
	"m_srcTableName" => "tb_users"
));

$proto12["m_sql"] = "nome";
$proto12["m_srcTableName"] = "tb_users";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "ativar",
	"m_strTable" => "tb_users",
	"m_srcTableName" => "tb_users"
));

$proto14["m_sql"] = "ativar";
$proto14["m_srcTableName"] = "tb_users";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto16=array();
$proto16["m_link"] = "SQLL_MAIN";
			$proto17=array();
$proto17["m_strName"] = "tb_users";
$proto17["m_srcTableName"] = "tb_users";
$proto17["m_columns"] = array();
$proto17["m_columns"][] = "usdeID";
$proto17["m_columns"][] = "usuario";
$proto17["m_columns"][] = "senha";
$proto17["m_columns"][] = "nome";
$proto17["m_columns"][] = "ativar";
$obj = new SQLTable($proto17);

$proto16["m_table"] = $obj;
$proto16["m_sql"] = "tb_users";
$proto16["m_alias"] = "";
$proto16["m_srcTableName"] = "tb_users";
$proto18=array();
$proto18["m_sql"] = "";
$proto18["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto18["m_column"]=$obj;
$proto18["m_contained"] = array();
$proto18["m_strCase"] = "";
$proto18["m_havingmode"] = false;
$proto18["m_inBrackets"] = false;
$proto18["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto18);

$proto16["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto16);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_users";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_users = createSqlQuery_tb_users();


	
		;

					

$tdatatb_users[".sqlquery"] = $queryData_tb_users;

$tableEvents["tb_users"] = new eventsBase;
$tdatatb_users[".hasEvents"] = false;

?>